package com.zcloud.service.pe.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.pe.PerformanceExamineUserMapper;
import com.zcloud.service.pe.PerformanceExamineUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：监管端绩效考核
 * 作者：luoxiaobao
 * 时间：2022-05-27
 * 官网：www.zcloudchina.com1
 */
@Service
@Transactional //开启事物
public class PerformanceExamineUserServiceImpl implements PerformanceExamineUserService {

	@Autowired
	private PerformanceExamineUserMapper performanceexamineUserMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		performanceexamineUserMapper.save(pd);
	}

	/**批量新增
	 * @param list
	 * @throws Exception
	 */
	public void saveBatch(List<PageData> list)throws Exception{
		performanceexamineUserMapper.saveBatch(list);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		performanceexamineUserMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		performanceexamineUserMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return performanceexamineUserMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return performanceexamineUserMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return performanceexamineUserMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		performanceexamineUserMapper.deleteAll(ArrayDATA_IDS);
	}

}

